com.verisign.epp.interfaces

## Class EPPBalance

- java.lang.Object
- - com.verisign.epp.interfaces.EPPBalance

-     public class EPPBalance
      extends java.lang.Object

  This class is the primary client interface class used for sending the EPP balance info command to get the account balance and other finance information. An instance of this class is created with an initialized `EPPSession` and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The responses returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.balance` package.
  See Also:
    `EPPResponse`, `EPPBalanceInfoResp`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPBalance(EPPSession aSession)` Constructs an `EPPBalance` given an initialized EPP session.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(EPPCodecComponent aExtension)` Adds a command extension object.
    `java.util.Vector` | `getExtensions()` Returns `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.
    `EPPResponse` | `getResponse()` Returns the `EPPResponse` associated with the last command.
    `EPPSession` | `getSession()` Returns the `EPPSession` associated with this `EPPBalance`.
    `java.lang.String` | `getTransId()` Returns the transId
    `EPPBalanceInfoResp` | `sendInfo()` Returns `EPPBalanceInfoResp` received after sending Balance Info Command to the server.
    `void` | `setExtensions(java.util.Vector aExtensions)` Sets extensions value to aExtensions
    `void` | `setSession(EPPSession aSession)` Sets session value to aSession
    `void` | `setTransId(java.lang.String aTransId)` Sets transId value to `aTransId`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPBalance

          public EPPBalance(EPPSession aSession)

      Constructs an `EPPBalance` given an initialized EPP session.
      Parameters:
        `aSession` - Server session to use.

  - ### Method Detail

    - #### addExtension

          public void addExtension(EPPCodecComponent aExtension)

      Adds a command extension object.
      Parameters:
        `aExtension` - command extension object associated with the command

    - #### getExtensions

          public java.util.Vector getExtensions()

      Returns `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.
      Returns:
        `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

    - #### getResponse

          public EPPResponse getResponse()

      Returns the `EPPResponse` associated with the last command. This method can be used to retrieve the server error response in the catch block of `EPPCommandException`.
      Returns:
        the `EPPResponse` associated with the last command.

    - #### getSession

          public EPPSession getSession()

      Returns the `EPPSession` associated with this `EPPBalance`.
      Returns:
        the `EPPSession` associated with this `EPPBalance`.

    - #### sendInfo

          public EPPBalanceInfoResp sendInfo()
                                      throws EPPCommandException

      Returns `EPPBalanceInfoResp` received after sending Balance Info Command to the server.
      Returns:
        `EPPBalanceInfoResp` received after sending Balance Info Command to the server.
      Throws:
        `EPPCommandException` - Error executing the info command. Use `getResponse` to get the associated server error response.

    - #### setExtensions

          public void setExtensions(java.util.Vector aExtensions)

      Sets extensions value to aExtensions
      Parameters:
        `aExtensions` - the extensions to set

    - #### setSession

          public void setSession(EPPSession aSession)

      Sets session value to aSession
      Parameters:
        `aSession` - the session to set

    - #### getTransId

          public java.lang.String getTransId()

      Returns the transId
      Returns:
        the transId

    - #### setTransId

          public void setTransId(java.lang.String aTransId)

      Sets transId value to `aTransId`.
      Parameters:
        `aTransId` - the transId to set

Copyright © VeriSign Inc. All Rights Reserved.